// taken from http://mar.anomy.net/entry/2004/02/09/12.17.47/ 

window.onload = initPage;  
// Make sure that no other javscripts assign a fuction to window.onload
// There can be only one window.onload at a time

function initPage() {
  initPopupLinks();
  // place here any other code you wish to run when the page loads.
}

function initPopupLinks()
{
  if (!document.getElementsByTagName) return true;
  var pageLinks = document.getElementsByTagName("a");
  for (var i = 0; i < pageLinks.length; i++) 
  {
    if (((pageLinks[i].className != null) && 
         (pageLinks[i].className != "")) ||
        ((pageLinks[i].parentNode.className != null) && 
         (pageLinks[i].parentNode.className != "")))
    {
      var linkClass = " " + pageLinks[i].className + " ";
      if ((linkClass == "  ") && (pageLinks[i].parentNode.className != ""))
      {
        linkClass = " " + pageLinks[i].parentNode.className + " ";
      }
      for (var theKey in popupLinkConfig) 
      {
        if (linkClass.indexOf(" " + theKey + " ") > -1)
        {
          if ((pageLinks[i].target == "") || (pageLinks[i].target == null))
          {
            pageLinks[i].target = (popupLinkConfig[theKey][0] != "") ? popupLinkConfig[theKey][0] : theKey;
          }
          pageLinks[i].settings = popupLinkConfig[theKey][1];
          pageLinks[i].onclick = popUp;
        }
      }
    }
  }
  return true;
}

function popUp()
{
  newWin = window.open(this.href, this.target, this.settings);
  newWin.focus();
  return false;
} 

// configuration section

var popupLinkConfig = new Array;
// Delete/copy/modify the following lines to configure your popup windows.
popupLinkConfig["popup"] = new Array ( "", "position:right 220,width=700, height=400, resizeable=yes,scrollbars=yes,menubar=yes");
popupLinkConfig["ytpop"] = new Array ( "", "position:right 1 20,width=660, height=730, resizeable=yes,scrollbars=no,menubar=no");
popupLinkConfig["about"] = new Array ( "", "width=580,color:#FFFFCC5,height=900,resizable=yes,scrollbar=yes,menubar=yes");
popupLinkConfig["contact"] = new Array ( "", "width=550,height=424,resizable=no,scrollbars=no");
popupLinkConfig["other"] = new Array ( "help", "width=565,height=385,resizable=no,scrollbars=no");
